JavaScript
ws = new WebSocket("wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?assets=btc&pretty=true&api_key=<your_key>")
ws.onmessage = m => console.log(m.data); ws.onclose = () => console.log("closed")
import asyncio
import websockets
async def handle(uri):
async with websockets.connect(uri) as websocket:
while True:
print(await websocket.recv())
asyncio.get_event_loop().run_until_complete(handle('wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?assets=btc&pretty=true&api_key=<your_key>'))
curl --request GET \
--url 'wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?api_key='<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?api_key=")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyTimeseries stream
Asset quotes
Returns a stream of quotes for specified assets.
If you are falling behind (slow client) you will get warning message first, then error message and disconnection will happen.
GET
/
timeseries-stream
/
asset-quotes
JavaScript
ws = new WebSocket("wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?assets=btc&pretty=true&api_key=<your_key>")
ws.onmessage = m => console.log(m.data); ws.onclose = () => console.log("closed")
import asyncio
import websockets
async def handle(uri):
async with websockets.connect(uri) as websocket:
while True:
print(await websocket.recv())
asyncio.get_event_loop().run_until_complete(handle('wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?assets=btc&pretty=true&api_key=<your_key>'))
curl --request GET \
--url 'wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?api_key='<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("wss://api.coinmetrics.io/v4/timeseries-stream/asset-quotes?api_key=")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyAuthorizations
Query Parameters
Response
Provided URI is too long. It must not be greater than 10000 symbols.

